Subject: Re: What's cooking in git.git (Mar 2026, #11)

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Mar 2026 09:08:23 -0700

Patrick Steinhardt <[email-masked]> writes:

>> * ps/commit-graph-overflow-fix (2026-03-23) 1 commit
>>  - commit-graph: fix writing generations with dates exceeding 34 bits
>> ...
>>  Waiting for review response.
>>  cf. <[email-masked]>
>>  source: <[email-masked]>
>
> Hm, I think this status is probably stale, as I've sent out that
> response already

Indeed.  I am not convinced by the argument "64-bit compilers would
not care if 32-bit part of the live code that it will optimize away
is not -Werror clean", but we can merge it as-is and then deal with
any fallout later, as it should be trivial to switch to conditional
compilation (the triviality is why I suggested making the change now
in the first place anyway).

>> * ar/config-hook-cleanups (2026-03-25) 13 commits
>> ...
>>  Code clean-up around the recent "hooks defined in config" topic.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I'll have a look at v3 of this series series today.

Thanks.

>> * ar/parallel-hooks (2026-03-26) 13 commits
>> ...
>
> Likewise, will try to find the time to do this today.

Thanks.